# Describes the format for available IHC services

set_runtime_value_bool:
  fields:
    controller_id:
      default: 0
      selector:
        number:
          min: 0
          max: 100
    ihc_id:
      required: true
      selector:
        number:
          min: 0
          max: 1000000
          mode: box
    value:
      required: true
      selector:
        boolean:

set_runtime_value_int:
  fields:
    controller_id:
      default: 0
      selector:
        number:
          min: 0
          max: 100
    ihc_id:
      required: true
      selector:
        number:
          min: 0
          max: 1000000
          mode: box
    value:
      required: true
      selector:
        number:
          min: 0
          max: 1000000
          mode: box

set_runtime_value_float:
  fields:
    controller_id:
      default: 0
      selector:
        number:
          min: 0
          max: 100
    ihc_id:
      required: true
      selector:
        number:
          min: 0
          max: 1000000
          mode: box
    value:
      required: true
      selector:
        number:
          min: 0
          max: 10000
          step: 0.01
          mode: box

pulse:
  fields:
    controller_id:
      default: 0
      selector:
        number:
          min: 0
          max: 100
    ihc_id:
      required: true
      selector:
        number:
          min: 0
          max: 1000000
          mode: box
